Bug 1919428 - [RFE] satellite maintain should verify the presence of "satellite" or "satellite-capsule" package installed on the server as a pre-upgrade check
Summary: [RFE] satellite maintain should verify the presence of "satellite" or "satel...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Foreman Maintain
Version: 6.8.0
Hardware: All
OS: All
high
unspecified vote
Target Milestone: 6.8.4
Assignee: Amit Upadhye
QA Contact: Gaurav Talreja
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-01-22 20:31 UTC by James Jeffers
Modified: 2021-08-30 13:27 UTC (History)
11 users (show)

Fixed In Version: rubygem-foreman_maintain-0.6.15
Doc Type: Enhancement
Doc Text:
Clone Of: 1886031
Environment:
Last Closed: 2021-02-24 12:53:52 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Foreman Issue Tracker 31535 0 Normal Closed [RFE] satellite maintain should verify the presence of "satellite" or "satellite-capsule" package installed on the serve... 2021-02-15 10:46:47 UTC
Red Hat Knowledge Base (Solution) 4330451 0 None None None 2021-01-22 20:31:38 UTC
Red Hat Product Errata RHBA-2021:0653 0 None None None 2021-02-24 12:53:59 UTC

Comment 2 Gaurav Talreja 2021-02-15 11:11:09 UTC
Verified.

Tested on Satellite 6.8.4 Snap 1.0
Version: rubygem-foreman_maintain-0.6.15-1.el7sat.noarch

Steps:
1. foreman-maintain upgrade list-versions
2. foreman-maintain upgrade check --target-version 6.8.z
3. foreman-maintain upgrade run --target-version 6.8.z

Observation:
satellite-maintain verifies the presence of "satellite" or "satellite-capsule" package installed on the server as a primary check, which runs exactly before the self-upgrade primary check.
And if these packages are missing then gives respective messages for upgrade subcommands as per the satellite-installer scenarios of Satellite and Capsule, like,

Error: Important rpm package satellite/satellite-capsule is not installed!
Install satellite/satellite-capsule rpm to ensure system consistency.

Comment 5 errata-xmlrpc 2021-02-24 12:53:52 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Satellite Maintenance 6.8.4 Async Bug Fix Update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2021:0653


Note You need to log in before you can comment on or make changes to this bug.